<?php
$title = 'Регистрация';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
?>
<body>
    <div class="container">
      <form class="form-signin" action="" method="POST">

        <h2 class="form-signin-heading">Регистрация</h2>
        <?php
		if(isset($_POST['reg'])){
			$_POST['email'] = input($_POST['email']);
			$_POST['inputPassword'] = input($_POST['inputPassword']);
			$_POST['inputPasswordConfirm'] = input($_POST['inputPasswordConfirm']);
			$_POST['inputName'] = input($_POST['inputName']);
			$_POST['inputSurname'] = input($_POST['inputSurname']);
			if(empty($_POST['email'])){
				showAlertDanger('Введите E-Mail');
			}elseif(empty($_POST['inputPassword'])){
				showAlertDanger('Введите пароль');
			}elseif(empty($_POST['inputPasswordConfirm'])){
				showAlertDanger('Введите подтверждение пароля');
			}elseif(!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)){
				showAlertDanger('Введите E-Mail адрес коректно');
			}elseif($db->query("SELECT `id` FROM `users` WHERE `email`='".$_POST['email']."'")->num_rows!=0){
				showAlertDanger('Пользователь с таким E-Mail уже зарегистрирован');
			}elseif(mb_strlen($_POST['email']) > 255){
				showAlertDanger('Слишком длинный E-Mail');
			}elseif($_POST['inputPassword'] != $_POST['inputPasswordConfirm']){
				showAlertDanger('Пароль и его подтверждение не совпадают');
			}elseif(empty($_POST['inputName'])){
				showAlertDanger('Введите имя');
			}elseif(empty($_POST['inputSurname'])){
				showAlertDanger('Введите фамилию');
			}elseif(mb_strlen($_POST['inputName']) > 255){
				showAlertDanger('Слишком длинное имя');
			}elseif(mb_strlen($_POST['inputSurname']) > 255){
				showAlertDanger('Слишком длинная фамилия');
			}else{
				$db->query("INSERT INTO `users` SET `email`='".$_POST['email']."', `password`='".md5($_POST['inputPassword'])."', `name`='".$_POST['inputName']."', `surname`='".$_POST['inputSurname']."'");
				showAlertSuccess('Вы успешно зарегистрировались. Теперь Вы можете <a href="/auth">войти</a>');
			}
		}
        ?>
        <label for="inputEmail" class="sr-only">E-Mail адрес</label>
        <input type="email" name="email" id="inputEmail" class="form-control" placeholder="E-Mail адрес" required autofocus>
        <div class="inputPassword">
	        <label for="inputPassword" class="sr-only">Пароль</label>
	        <input type="password" name="inputPassword" id="inputPassword" class="form-control" placeholder="Пароль" required>
	    </div>
	    <div class="inputPasswordConfirm"> 
	        <label for="inputPasswordConfirm" class="sr-only">Повторите пароль</label>
	        <input type="password" name="inputPasswordConfirm" id="inputPasswordConfirm" class="form-control" placeholder="Повторите пароль" required>
	    </div>
	    <div class="inputName"> 
	        <label for="inputname" class="sr-only">Имя</label>
	        <input type="text" name="inputName" id="inputName" class="form-control" placeholder="Имя" required>
	    </div>
	    <div class="inputSurname"> 
	        <label for="inputSurname" class="sr-only">Фамилия</label>
	        <input type="text" name="inputSurname" id="inputSurname" class="form-control" placeholder="Фамилия" required>
	    </div>
	    <script src="//ulogin.ru/js/ulogin.js"></script>
	    <div class="ulogin">
			<div id="uLogin" data-ulogin="display=panel;theme=flat;fields=email,first_name,last_name;providers=vkontakte,odnoklassniki,twitter,facebook;hidden=;redirect_uri=http%3A%2F%2Fmagaz.ru%2Fphp%2Fmodules%2Flogin%2Fsoc_reg.php;mobilebuttons=0;"></div>
		</div>
        <button class="btn btn-lg btn-primary btn-block" type="submit" name="reg">Зарегистрироваться</button>
      </form>
    </div>